Subject: bug#8664: Being more-systematic about user-interface timestamps

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 May 2011 12:41:20 +0300

> Date: Sat, 14 May 2011 02:10:27 -0700
> From: Paul Eggert <[email-masked]>
> CC: [email-masked]
> 
> No change should be needed for w32's hooks, since there's no actual change
> to the data type there.

It will break if the typedef is ever changed to be incompatible.

> For documentation purposes it might be nice to run through the hooks
> and change 'unsigned long' to 'Time' where appropriate, but that's
> not essential.  Normally I'm reluctant to mess with the w32 code as
> I can't easily test it.

Changing a single declaration to an obviously correct one, and an
equivalent one at that, can hardly be qualified as "messing".

Besides, people will understand if you botch their build trying to
keep it from breaking, but may not understand why you knowingly
refrain from making a change that clearly is TRT.